# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Specific app values
    package_version = control.get_software_version()

    # Adding "WireGuard LLC" as trusted driver signer
    with disable_file_system_redirection():
        run('"%s" -addstore TrustedPublisher "%s"' % (makepath(system32, "certutil.exe"), makepath(basedir, "wireguard-drivers.cer")))

    # Installing the package
    install_msi_if_needed(
        "wireguard-x86-%s.msi" % package_version,
        properties="DO_NOT_LAUNCH=1",
        min_version=package_version,
    )
